Skip to content

Configure an owner mandate for role service goals

PUT
/api/v1/agents/slo/goals/{role}
curl --request PUT \
--url https://api.ultimateteam.ai/api/v1/agents/slo/goals/example \
--header 'Content-Type: application/json' \
--header 'X-API-Key: <X-API-Key>' \
--data '{ "acceptance_rate_target": 1, "cadence": "example", "deadline_hour_utc": 1, "enabled": false, "maximum_delay_hours": 24, "minimum_outputs": 1, "minimum_samples": 3, "outcome_accuracy_target": 1, "task_success_target": 0.95, "window_days": 7 }'
role
required
Role
string
Media typeapplication/json
RoleGoal
object
acceptance_rate_target
Any of:
number
> 0 <= 1
cadence
Any of:
string
<= 100 characters
deadline_hour_utc
Any of:
integer
<= 23
enabled
Enabled
boolean
maximum_delay_hours
Maximum Delay Hours
number
default: 24 >= 0.25 <= 720
minimum_outputs
Minimum Outputs
integer
default: 1 >= 1 <= 10000
minimum_samples
Minimum Samples
integer
default: 3 >= 1 <= 1000
outcome_accuracy_target
Any of:
number
> 0 <= 1
task_success_target
Task Success Target
number
default: 0.95 > 0 <= 1
window_days
Window Days
integer
default: 7 >= 1 <= 30

Successful Response

Media typeapplication/json
Response Update Role Goal Api V1 Agents Slo Goals Role Put
object
key
additional properties
any
Examplegenerated
{}

Validation Error

Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
ctx
Context
object
input
Input
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examplegenerated
{
"detail": [
{
"ctx": {},
"input": "example",
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}